Name:           mandrakelinux-create-kde-mdk-menu
Summary:        Script to create MandrakeLinux xdg desktop file.
Version:		1.0
Release:		4mdk
URL:            http://www.mandrakesoft.com
Group:          Graphical desktop/KDE
BuildRoot:      %_tmppath/%name-buildroot

Source0:		mandrakelinux-create-kde-mdk-menu.tar.bz2


License:		GPL
BuildArch:   	noarch
Conflicts:		kdelibs-common <= 30000000:3.3.2-1mdk

%description
This package contains all script to create Mandrakelinux xdg file.
kdedesktop2mdkmenu.pl create menu file from desktop file.
createmdkmenu.sh add category for desktop file.


%prep
rm -rf $RPM_BUILD_ROOT 

%setup -n%name

%build


%install
install -d -m 0755 %buildroot/%_bindir/

install -m 0755 $RPM_BUILD_DIR/%name/kdelibs-3.3-kdedesktop2mdkmenu.pl %buildroot/%_bindir/kdedesktop2mdkmenu.pl
install -m 0755 $RPM_BUILD_DIR/%name/createmdkmenu.sh %buildroot/%_bindir/createmdkmenu.sh

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%_bindir/*


%changelog
* Fri Jan 28 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-4mdk
- Don't generate X-MAndrakelinux entry for official desktop file

* Fri Dec 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-3mdk
- Fix kdedesktop2mdkmenu.pl don't add Encoding entry

* Wed Dec 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-2mdk
- Fix createmdkmenu.sh when categorie is empty

* Tue Dec 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.0-1mdk
- Initial package


